Create client credential
POST
/platform/clientauth/credentialsCreate a new client credential for the authenticated organization
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.CreateClientCredentialRequest",
"$ref-value": {
"properties": {
"alg": {
"type": "string"
},
"name": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/clientauthv1.CreateClientCredentialResponse",
"$ref-value": {
"properties": {
"client_secret": {
"type": "string"
},
"credential": {
"$ref": "#/components/schemas/clientauthv1.ClientCredential",
"$ref-value": {
"properties": {
"alg": {
"type": "string"
},
"client_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"kid": {
"type": "string"
},
"last_used_at": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/platform/clientauth/credentials" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/clientauthv1.CreateClientCredentialResponse",
"$ref-value": {
"properties": {
"client_secret": {
"type": "string"
},
"credential": {
"$ref": "#/components/schemas/clientauthv1.ClientCredential",
"$ref-value": {
"properties": {
"alg": {
"type": "string"
},
"client_id": {
"type": "string"
},
"created_at": {
"type": "string"
},
"id": {
"type": "string"
},
"kid": {
"type": "string"
},
"last_used_at": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
}
},
"type": "object"
}
}
},
"type": "object"
}
}Revoke client credential POST
Revoke a client credential owned by the authenticated organization
Mint client access token POST
Exchange client_id/client_secret for a short-lived access token. The request subject is an opaque client-defined label and is not treated as authoritative user identity for authorization.